Summary:	DocBook 3.1 SGML - DTD for technical documentation
Summary(pl.UTF-8):	DocBook 3.1 SGML - DTD przeznaczone do pisania dokumentacji technicznej
%define ver	3.1
%define sver	31
Name:		docbook-dtd%{sver}-sgml
Version:	1.0
Release:	17%{?tld}
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/SGML
Source0:	http://www.oasis-open.org/docbook/sgml/%{ver}/docbk%{sver}.zip
# Source0-md5:	432749c0c806dbae81c8bcb70da3b5d3
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgmlparser
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd
Obsoletes:	docbook%{sver}-dtd
Obsoletes:	docbook-sgml-%{ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DocBook 3.1 SGML - DTD for technical documentation.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Stosowany jest do pisania
podręczników systemowych, instrukcji technicznych jak i wielu innych
ciekawych rzeczy. Ten pakiet zawiera DTD dla wersji DocBook 3.1 SGML.

%prep
%setup -q -c
chmod 644 *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}

install *.dtd *.mod *.dcl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/

# install catalog (but filter out ISO entities)
grep -v 'ISO ' docbook.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-13
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/sgml-dtd-3.1
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/docbook-dtd31-sgml.git;a=log;h=master

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> a47ccaa
- mention DocBook version in descriptions

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b95e3a
- release 17

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 29a4213
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 138abd0
- converted to UTF-8

* Mon Apr 18 2005 Mariusz Mazur <mmazur@pld-linux.org> 800127f
- rel 16 for th

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> be775de
- release 15 for Ac (14 is for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> d6119ea
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7e78f8a
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Apr 22 2003 Jakub Bogusz <qboosh@pld-linux.org> ffc7c98
- BR: unzip (noticed by ciril)

* Wed Sep 04 2002 Artur Frysiak <artur@frysiak.net> d93fbb5
- drop sgml-iso-ent-fix, release 14

* Wed Sep 04 2002 Jakub Bogusz <qboosh@pld-linux.org> 88fc65c
- simplified prep

* Tue Sep 03 2002 Artur Frysiak <artur@frysiak.net> 54b62b8
- release 13
- filter all files with sgml-iso-ent-fix to fix SGML ISO entities (like in sgml-common)
- new %%doc
- fixed %%post/%%postun scripts

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 497cc82
- fixed a small typo

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 434499f
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 390cc8c
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 477a0d4
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Thu Mar 01 2001 kloczek <kloczek@pld-linux.org> 73dd299
- release 12,
- fix: Requires for sgml-common changed to Prereq.

* Fri Feb 16 2001 kloczek <kloczek@pld-linux.org> e737a83
- release 11 for allow upgrade from RH version.

* Thu Feb 15 2001 klakier <klakier@pld-linux.org> dce153b
- cosmetics

* Thu Feb 15 2001 klakier <klakier@pld-linux.org> cf8855c
- rel 1

